module.exports = function AppController(app){

    function validateApp() {
        var valid = true;

        // check required attributes
        if (!app.getName() || !app.getVersion()) {

            valid = false;
        }

        // provide defaults
        if (!app.getTitle()) {
            app.setTitle(app.getName());
        }
        if (!app.getDescription()) {
            app.setDescription(app.getName());
            console.log('set description');
            console.log(app.getDescription());
        }

        return valid;
    }

    return {
        validateApp: validateApp
    };
};